package coi.cmap.monitor;

import coi.relationMonitor.RelationInfo;
import com.jgoodies.forms.layout.CellConstraints;
import com.jgoodies.forms.layout.FormLayout;

import javax.swing.*;
import java.util.HashSet;
import java.util.Set;
import java.util.Vector;

/**
 * Created by IntelliJ IDEA.
 * User: Tom
 * Date: Apr 11, 2007
 * Time: 1:06:13 PM
 * To change this template use File | Settings | File Templates.
 */
public class RelationInfoPanel
{
    private JPanel RelInfoPanel;
    private JList typeList;
    private JLabel lastInfoTypeSentLbl;
    private JLabel firstCommLbl;
    private JLabel lastCommLbl;
    private JLabel periodBtwnCommsLbl;
    private JLabel numSentLbl;
    private JLabel commFreqLbl;
    private JLabel isAProducerLbl;

    public RelationInfoPanel()
    {
    }

    public JPanel getMainPanel()
    {
        return RelInfoPanel;
    }

    public void setInfo(RelationInfo ri)
    {
        setLastInfoTypeSentLbl(ri._lastInfoObjectType);
        setLastCommLbl(ri._lastComm.toString());
        setFirstCommLbl(ri._firstComm.toString());
        setPeriodBtwnCommsLbl(Float.toString(ri._periodBetweenComm));
        setNumSentLbl(Integer.toString(ri._noOfSentInfoObjects));
        setCommFreqLbl(Float.toString(ri._commFreq));
        setAProducerLbl(Boolean.toString(ri._isProducer));
        setTypeList(ri._allInfoObjectTypesSent);

    }

    public Set getTypeList()
    {
        Set res = new HashSet();
        ListModel m = typeList.getModel();
        for (int i = 0; i < m.getSize(); i++)
        {
            res.add(m.getElementAt(i));
        }
        return res;
    }

    public void setTypeList(Set typeList)
    {
        Vector v = new Vector(typeList);
        this.typeList.setListData(v);
    }

    public String getLastInfoTypeSentLbl()
    {
        return lastInfoTypeSentLbl.getText();
    }

    public void setLastInfoTypeSentLbl(String lastInfoTypeSentLbl)
    {
        this.lastInfoTypeSentLbl.setText(lastInfoTypeSentLbl);
    }

    public String getFirstCommLbl()
    {
        return firstCommLbl.getText();
    }

    public void setFirstCommLbl(String firstCommLbl)
    {
        this.firstCommLbl.setText(firstCommLbl);
    }

    public String getLastCommLbl()
    {
        return lastCommLbl.getText();
    }

    public void setLastCommLbl(String lastCommLbl)
    {
        this.lastCommLbl.setText(lastCommLbl);
    }

    public String getPeriodBtwnCommsLbl()
    {
        return periodBtwnCommsLbl.getText();
    }

    public void setPeriodBtwnCommsLbl(String periodBtwnCommsLbl)
    {
        this.periodBtwnCommsLbl.setText(periodBtwnCommsLbl);
    }

    public String getNumSentLbl()
    {
        return numSentLbl.getText();
    }

    public void setNumSentLbl(String numSentLbl)
    {
        this.numSentLbl.setText(numSentLbl);
    }

    public String getCommFreqLbl()
    {
        return commFreqLbl.getText();
    }

    public void setCommFreqLbl(String commFreqLbl)
    {
        this.commFreqLbl.setText(commFreqLbl);
    }

    public String getAProducerLbl()
    {
        return isAProducerLbl.getText();
    }

    public void setAProducerLbl(String AProducerLbl)
    {
        isAProducerLbl.setText(AProducerLbl);
    }

    {
// GUI initializer generated by IntelliJ IDEA GUI Designer
// >>> IMPORTANT!! <<<
// DO NOT EDIT OR ADD ANY CODE HERE!
        $$$setupUI$$$();
    }

    /**
     * Method generated by IntelliJ IDEA GUI Designer
     * >>> IMPORTANT!! <<<
     * DO NOT edit this method OR call it in your code!
     *
     * @noinspection ALL
     */
    private void $$$setupUI$$$()
    {
        final JPanel panel1 = new JPanel();
        panel1.setLayout(new FormLayout("fill:d:grow", "center:d:grow"));
        RelInfoPanel = new JPanel();
        RelInfoPanel.setLayout(new FormLayout("fill:d:noGrow,left:4dlu:noGrow,fill:max(d;4px):noGrow", "center:d:noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow,top:4dlu:noGrow,center:max(d;4px):noGrow"));
        CellConstraints cc = new CellConstraints();
        panel1.add(RelInfoPanel, cc.xy(1, 1));
        final JLabel label1 = new JLabel();
        label1.setText("Relation Information for:");
        RelInfoPanel.add(label1, cc.xy(1, 1));
        final JLabel label2 = new JLabel();
        label2.setText("Last info type sent:");
        RelInfoPanel.add(label2, cc.xy(1, 3));
        final JLabel label3 = new JLabel();
        label3.setText("First Communication:");
        RelInfoPanel.add(label3, cc.xy(1, 5));
        final JLabel label4 = new JLabel();
        label4.setText("Last Communication:");
        RelInfoPanel.add(label4, cc.xy(1, 7));
        final JLabel label5 = new JLabel();
        label5.setText("Info Types sent:");
        RelInfoPanel.add(label5, cc.xy(1, 9, CellConstraints.DEFAULT, CellConstraints.TOP));
        final JScrollPane scrollPane1 = new JScrollPane();
        RelInfoPanel.add(scrollPane1, cc.xy(3, 9, CellConstraints.DEFAULT, CellConstraints.FILL));
        typeList = new JList();
        scrollPane1.setViewportView(typeList);
        lastInfoTypeSentLbl = new JLabel();
        lastInfoTypeSentLbl.setText("");
        RelInfoPanel.add(lastInfoTypeSentLbl, cc.xy(3, 3));
        firstCommLbl = new JLabel();
        firstCommLbl.setText("");
        RelInfoPanel.add(firstCommLbl, cc.xy(3, 5));
        lastCommLbl = new JLabel();
        lastCommLbl.setText("");
        RelInfoPanel.add(lastCommLbl, cc.xy(3, 7));
        final JLabel label6 = new JLabel();
        label6.setText("Period between comms:");
        RelInfoPanel.add(label6, cc.xy(1, 11));
        periodBtwnCommsLbl = new JLabel();
        periodBtwnCommsLbl.setText("");
        RelInfoPanel.add(periodBtwnCommsLbl, cc.xy(3, 11));
        final JLabel label7 = new JLabel();
        label7.setText("# of Objects sent:");
        RelInfoPanel.add(label7, cc.xy(1, 13));
        numSentLbl = new JLabel();
        numSentLbl.setText("");
        RelInfoPanel.add(numSentLbl, cc.xy(3, 13));
        final JLabel label8 = new JLabel();
        label8.setText("Communication Freq:");
        RelInfoPanel.add(label8, cc.xy(1, 15));
        commFreqLbl = new JLabel();
        commFreqLbl.setText("");
        RelInfoPanel.add(commFreqLbl, cc.xy(3, 15));
        final JLabel label9 = new JLabel();
        label9.setText("Is a Producer:");
        RelInfoPanel.add(label9, cc.xy(1, 17));
        isAProducerLbl = new JLabel();
        isAProducerLbl.setText("");
        RelInfoPanel.add(isAProducerLbl, cc.xy(3, 17));
    }
}
