package coi.jbi.demo.metoc;

import org.infospherics.jbi.client.InfoObject;

import coi.jbi.client.InfoObjectHelper;

import org.infospherics.jbi.client.ObjectAvailableCallback;
/**
 * This class is used for subscription to Mission Forecast
 */
public class MissionForecastCallback implements ObjectAvailableCallback
{
    protected String _subscriptionOntClassURI = null;

    public MissionForecastCallback()
    {
    }

    public void objectsAvailable(InfoObject[] objects)
    {
        if (objects != null && objects.length != 0)
        {
            for (int i = 0; i < objects.length; i++)
            {
                InfoObject obj = objects[i];

                try
                {
                    InfoObjectHelper infoObjHelper = new InfoObjectHelper(obj);
                    String infoObjType = infoObjHelper.getTypeName();

                    System.out.println("Received Mission Forecast: " + infoObjType );
                }
                catch (Exception e)
                {
                    e.printStackTrace();
                }
            }
        }
    }
}