package coi.jbi.demo.metoc.ontology;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class METOCCOIDataConcepts
{
	final private static String METOCCOIDataOwlURL = "http://norma.ihmc.us:8082/servlet/SBReadResourceServlet?rid=1165296213152_1891451068_1506&partName=owl#";

    public static String METOCCOIDataOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL); 
	}

	// Concepts
    public static final String WeatherSensorReportElement = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "WeatherSensorReportElement");
    public static final String WeatherSensorReport = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "WeatherSensorReport");
    public static final String PlainLanguageForecast = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "PlainLanguageForecast");
    public static final String MissionControlForecast_MCF = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "MissionControlForecast%20(MCF)");
    public static final String ForecastElement = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "ForecastElement");
    public static final String WeatherObservation = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "WeatherObservation");
    public static final String WeatherForecast = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "WeatherForecast");
    public static final String WeatherAdvisory_WA = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "WeatherAdvisory%20(WA)");
    public static final String WeatherWarning_WW = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "WeatherWarning%20(WW)");

    public static String WeatherSensorReportElement() { return WeatherSensorReportElement; };
    public static String WeatherSensorReport() { return WeatherSensorReport; };
    public static String PlainLanguageForecast() { return PlainLanguageForecast; };
    public static String MissionControlForecast_MCF() { return MissionControlForecast_MCF; };
    public static String ForecastElement() { return ForecastElement; };
    public static String WeatherObservation() { return WeatherObservation; };
    public static String WeatherForecast() { return WeatherForecast; };
    public static String WeatherAdvisory_WA() { return WeatherAdvisory_WA; };
    public static String WeatherWarning_WW() { return WeatherWarning_WW; };

	// Properties
    public static final String hasForecastElements = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "hasForecastElements");
    public static final String hasWeatherPrediction = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "hasWeatherPrediction");
    public static final String contains = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "contains");
    public static final String hasCoveredArea = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "hasCoveredArea");
    public static final String hasText = OntologyLanguageTagSelector.selectLanguageForTag(METOCCOIDataOwlURL + "hasText");

    public static String hasForecastElements() { return hasForecastElements; };
    public static String hasWeatherPrediction() { return hasWeatherPrediction; };
    public static String contains() { return contains; };
    public static String hasCoveredArea() { return hasCoveredArea; };
    public static String hasText() { return hasText; };

	// Instances

}
