package coi.jbi.ontology;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class JBIActorConcepts
{
	final private static String JBIActorOwlURL = "http://ontology.ihmc.us/JBI/JBIActor.owl#";

    public static String JBIActorOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(JBIActorOwlURL); 
	}

	// Concepts
    public static final String IORService = OntologyLanguageTagSelector.selectLanguageForTag(JBIActorOwlURL + "IORService");
    public static final String JBISystemService = OntologyLanguageTagSelector.selectLanguageForTag(JBIActorOwlURL + "JBISystemService");
    public static final String BrokerService = OntologyLanguageTagSelector.selectLanguageForTag(JBIActorOwlURL + "BrokerService");
    public static final String JBIRole = OntologyLanguageTagSelector.selectLanguageForTag(JBIActorOwlURL + "JBIRole");
    public static final String MSRService = OntologyLanguageTagSelector.selectLanguageForTag(JBIActorOwlURL + "MSRService");
    public static final String JBISystem = OntologyLanguageTagSelector.selectLanguageForTag(JBIActorOwlURL + "JBISystem");
    public static final String InstrumentationService = OntologyLanguageTagSelector.selectLanguageForTag(JBIActorOwlURL + "InstrumentationService");

    public static String IORService() { return IORService; };
    public static String JBISystemService() { return JBISystemService; };
    public static String BrokerService() { return BrokerService; };
    public static String JBIRole() { return JBIRole; };
    public static String MSRService() { return MSRService; };
    public static String JBISystem() { return JBISystem; };
    public static String InstrumentationService() { return InstrumentationService; };

	// Properties


	// Instances

}
