package coi.jbi.ontology;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class JBIEntityConcepts
{
	final private static String JBIEntityOwlURL = "http://ontology.ihmc.us/JBI/JBIEntity.owl#";

    public static String JBIEntityOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL); 
	}

	// Concepts
    public static final String JBISystemState = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "JBISystemState");
    public static final String DebugLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DebugLoggingLevel");
    public static final String LoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "LoggingLevel");
    public static final String WarnLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "WarnLoggingLevel");
    public static final String InformationObjectStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "InformationObjectStatus");
    public static final String SUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "SUKOStatus");
    public static final String ErrorLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "ErrorLoggingLevel");
    public static final String NewSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "NewSUKOStatus");
    public static final String NoneLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "NoneLoggingLevel");
    public static final String InformationObject = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "InformationObject");
    public static final String ArchivedSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "ArchivedSUKOStatus");
    public static final String DiscardedSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DiscardedSUKOStatus");
    public static final String InfoLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "InfoLoggingLevel");
    public static final String UpdatedSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "UpdatedSUKOStatus");
    public static final String FulfillingSubscriptionSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "FulfillingSubscriptionSUKOStatus");
    public static final String SUKO = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "SUKO");
    public static final String DisseminatingSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DisseminatingSUKOStatus");
    public static final String AllLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "AllLoggingLevel");

    public static String JBISystemState() { return JBISystemState; };
    public static String DebugLoggingLevel() { return DebugLoggingLevel; };
    public static String LoggingLevel() { return LoggingLevel; };
    public static String WarnLoggingLevel() { return WarnLoggingLevel; };
    public static String InformationObjectStatus() { return InformationObjectStatus; };
    public static String SUKOStatus() { return SUKOStatus; };
    public static String ErrorLoggingLevel() { return ErrorLoggingLevel; };
    public static String NewSUKOStatus() { return NewSUKOStatus; };
    public static String NoneLoggingLevel() { return NoneLoggingLevel; };
    public static String InformationObject() { return InformationObject; };
    public static String ArchivedSUKOStatus() { return ArchivedSUKOStatus; };
    public static String DiscardedSUKOStatus() { return DiscardedSUKOStatus; };
    public static String InfoLoggingLevel() { return InfoLoggingLevel; };
    public static String UpdatedSUKOStatus() { return UpdatedSUKOStatus; };
    public static String FulfillingSubscriptionSUKOStatus() { return FulfillingSubscriptionSUKOStatus; };
    public static String SUKO() { return SUKO; };
    public static String DisseminatingSUKOStatus() { return DisseminatingSUKOStatus; };
    public static String AllLoggingLevel() { return AllLoggingLevel; };

	// Properties
    public static final String InfoObjectID = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "InfoObjectID");
    public static final String PublicationTime = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "PublicationTime");
    public static final String TypeName = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "TypeName");
    public static final String PayloadFormat = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "PayloadFormat");
    public static final String TypeMinorVersion = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "TypeMinorVersion");
    public static final String hasStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "hasStatus");
    public static final String PlatformID = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "PlatformID");
    public static final String TypeMajorVersion = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "TypeMajorVersion");
    public static final String PublisherID = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "PublisherID");

    public static String InfoObjectID() { return InfoObjectID; };
    public static String PublicationTime() { return PublicationTime; };
    public static String TypeName() { return TypeName; };
    public static String PayloadFormat() { return PayloadFormat; };
    public static String TypeMinorVersion() { return TypeMinorVersion; };
    public static String hasStatus() { return hasStatus; };
    public static String PlatformID() { return PlatformID; };
    public static String TypeMajorVersion() { return TypeMajorVersion; };
    public static String PublisherID() { return PublisherID; };

	// Instances
    public static final String DefaultDisseminatingSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultDisseminatingSUKOStatus");
    public static final String DefaultNewSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultNewSUKOStatus");
    public static final String DefaultInfoLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultInfoLoggingLevel");
    public static final String DefaultUpdatedSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultUpdatedSUKOStatus");
    public static final String DefaultDiscardedSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultDiscardedSUKOStatus");
    public static final String DefaultErrorLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultErrorLoggingLevel");
    public static final String DefaultAllLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultAllLoggingLevel");
    public static final String DefaultArchivedSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultArchivedSUKOStatus");
    public static final String DefaultNoneLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultNoneLoggingLevel");
    public static final String DefaultFulfillingSubscriptionSUKOStatus = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultFulfillingSubscriptionSUKOStatus");
    public static final String DefaultDebugLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultDebugLoggingLevel");
    public static final String DefaultWarnLoggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIEntityOwlURL + "DefaultWarnLoggingLevel");

    public static String DefaultDisseminatingSUKOStatus() { return DefaultDisseminatingSUKOStatus; };
    public static String DefaultNewSUKOStatus() { return DefaultNewSUKOStatus; };
    public static String DefaultInfoLoggingLevel() { return DefaultInfoLoggingLevel; };
    public static String DefaultUpdatedSUKOStatus() { return DefaultUpdatedSUKOStatus; };
    public static String DefaultDiscardedSUKOStatus() { return DefaultDiscardedSUKOStatus; };
    public static String DefaultErrorLoggingLevel() { return DefaultErrorLoggingLevel; };
    public static String DefaultAllLoggingLevel() { return DefaultAllLoggingLevel; };
    public static String DefaultArchivedSUKOStatus() { return DefaultArchivedSUKOStatus; };
    public static String DefaultNoneLoggingLevel() { return DefaultNoneLoggingLevel; };
    public static String DefaultFulfillingSubscriptionSUKOStatus() { return DefaultFulfillingSubscriptionSUKOStatus; };
    public static String DefaultDebugLoggingLevel() { return DefaultDebugLoggingLevel; };
    public static String DefaultWarnLoggingLevel() { return DefaultWarnLoggingLevel; };
}
