package coi.ontology;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class COIActionConcepts
{
	final private static String COIActionOwlURL = "http://ontology.ihmc.us/COI/COIAction.owl#";

    public static String COIActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(COIActionOwlURL); 
	}

	// Concepts
    public static final String COIInfoAction = OntologyLanguageTagSelector.selectLanguageForTag(COIActionOwlURL + "COIInfoAction");
    public static final String Query = OntologyLanguageTagSelector.selectLanguageForTag(COIActionOwlURL + "Query");
    public static final String Publish = OntologyLanguageTagSelector.selectLanguageForTag(COIActionOwlURL + "Publish");
    public static final String Produce = OntologyLanguageTagSelector.selectLanguageForTag(COIActionOwlURL + "Produce");
    public static final String Consume = OntologyLanguageTagSelector.selectLanguageForTag(COIActionOwlURL + "Consume");
    public static final String Subscribe = OntologyLanguageTagSelector.selectLanguageForTag(COIActionOwlURL + "Subscribe");

    public static String COIInfoAction() { return COIInfoAction; };
    public static String Query() { return Query; };
    public static String Publish() { return Publish; };
    public static String Produce() { return Produce; };
    public static String Consume() { return Consume; };
    public static String Subscribe() { return Subscribe; };

	// Properties
    public static final String hasInfoObject = OntologyLanguageTagSelector.selectLanguageForTag(COIActionOwlURL + "hasInfoObject");

    public static String hasInfoObject() { return hasInfoObject; };

	// Instances

}
