package coi.ontology;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class COIActorConcepts
{
	final private static String COIActorOwlURL = "http://ontology.ihmc.us/COI/COIActor.owl#";

    public static String COIActorOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(COIActorOwlURL); 
	}

	// Concepts
    public static final String Consumer = OntologyLanguageTagSelector.selectLanguageForTag(COIActorOwlURL + "Consumer");
    public static final String Partner = OntologyLanguageTagSelector.selectLanguageForTag(COIActorOwlURL + "Partner");
    public static final String Producer = OntologyLanguageTagSelector.selectLanguageForTag(COIActorOwlURL + "Producer");

    public static String Consumer() { return Consumer; };
    public static String Partner() { return Partner; };
    public static String Producer() { return Producer; };

	// Properties
    public static final String isMemberOfCOI = OntologyLanguageTagSelector.selectLanguageForTag(COIActorOwlURL + "isMemberOfCOI");
    public static final String isProducing = OntologyLanguageTagSelector.selectLanguageForTag(COIActorOwlURL + "isProducing");
    public static final String isConsuming = OntologyLanguageTagSelector.selectLanguageForTag(COIActorOwlURL + "isConsuming");

    public static String isMemberOfCOI() { return isMemberOfCOI; };
    public static String isProducing() { return isProducing; };
    public static String isConsuming() { return isConsuming; };

	// Instances

}
