/**
 * Last Modified by: $Author: rjeffers $
 * On: $Date: 2006/08/01 22:20:14 $
 */
package coi.ontologyAnnotation;

import javax.agent.service.Service;
import javax.agent.service.ServiceException;
import javax.agent.service.ServiceProperties;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;
import ri.service.spi.ServiceFactory;

/**
 * This class implements the JAS ServiceFactory interface to instantiate an OntologyAnnotation service
 * and initialize it based on the information provided 
 * in the bootstrap file (currently config\guardConfiguration.cfg) in the section: ontology-annotation-service.
 * 
 * $Revision: 1.1 $
 *
 */

public class OntologyAnnotationFactory 
	implements ServiceFactory 
{
	
	public OntologyAnnotationFactory() {
		super();
	}

	/* (non-Javadoc)
	 * @see ri.service.spi.ServiceFactory#getService(javax.agent.service.ServiceProperties)
	 */
	public Service getService(ServiceProperties env) 
		throws ServiceException
	{
		OntologyAnnotationManager service = OntologyAnnotationManagerImpl.getInstance();    
		((KAoSExtensionComponentManagerImpl) service).initialize(env); 
	        
		return service;

	}

}
