/**
 * Last Modified by: $Author: jlott $
 * On: $Date: 2006/10/19 20:21:16 $
 */

package coi.relationMonitor;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;

/**
*
* This class implements the OntologyAnnotationManager interface, which defines a factory method 
* for obtaining an OntologyAnnotationService, whose  ontological type is given.
* 
* $Revision: 1.1 $	
*
*/
public class RelationMonitorManager 
	extends	KAoSExtensionComponentManagerImpl 
{

    public static final String RELATION_MONITOR_MANAGER_TYPE = "RelationMonitor";
    
	/**
	 * 
	 */
	private static RelationMonitorManager    		__INSTANCE;
	private static boolean                     			__INITIALIZED = false;
	
	/**
	 * 
	 */
	private RelationMonitorManager() {
		super(RELATION_MONITOR_MANAGER_TYPE);
	}

	
	/**
     * Retrieve an instance of RelationMonitorManager.
     * 
     * 
     * @return a singleton, RelationMonitorManager.
     */
    public static RelationMonitorManager getInstance()
    {
        if ( __INITIALIZED ) return __INSTANCE;
        
        __INSTANCE = new RelationMonitorManager();
        __INITIALIZED = true;
            
        return __INSTANCE;
    }
	
//	/*****************************************************************************************
//    coi.ontologyAnnotation.OntologyAnnotationManager interface implementation  - begin
//    *****************************************************************************************/
//    /* (non-Javadoc)
//	 * @see coi.ontologyAnnotation.OntologyAnnotationManager#getOntologyAnnotationService()
//	 */
//	public OntologyAnnotationService getOntologyAnnotationService(String ontType) {
//		return (OntologyAnnotationService)getComponent(ontType, null);
//	}
//    /*****************************************************************************************
//    coi.ontologyAnnotation.OntologyAnnotationManager interface implementation  - end
//   *****************************************************************************************/
}
