/**
 * Last Modified by: $Author: auszok $
 * On: $Date: 2007/03/28 22:53:20 $
 */
package coi.semanticTranslator;

import javax.agent.service.Service;
import javax.agent.service.ServiceException;
import javax.agent.service.ServiceProperties;

import kaos.core.csi.extension.KAoSExtensionComponentManagerImpl;
import ri.service.spi.ServiceFactory;

/**
 * This class implements the JAS ServiceFactory interface to instantiate an Semantic Translator service
 * and initialize it based on the information provided in the bootstrap file
 * 
 * $Revision: 1.1 $
 */
public class SemanticTranslatorFactory  implements ServiceFactory 
{
	public SemanticTranslatorFactory() 
    {
		super();
	}

	/**
	 * @see ri.service.spi.ServiceFactory#getService(javax.agent.service.ServiceProperties)
	 */
	public Service getService(ServiceProperties env) throws ServiceException
	{
        SemanticTranslatorManager service = SemanticTranslatorManager.getInstance();    
		((KAoSExtensionComponentManagerImpl)service).initialize(env); 
	        
		return service;
	}
}
