package coi.jbi.demo.metoc.ontology;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class AirForceMETOCCOIDataConcepts
{
	final private static String AirForceMETOCCOIDataOwlURL = "http://norma.ihmc.us:8082/servlet/SBReadResourceServlet?rid=1165343275317_500653606_1495&partName=owl#";

    public static String AirForceMETOCCOIDataOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL); 
	}

	// Concepts
    public static final String AviationOperationsObservation = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "AviationOperationsObservation");
    public static final String FlightWeatherBrifings = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "FlightWeatherBrifings");
    public static final String AviationOperationsForecast = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "AviationOperationsForecast");
    public static final String TerminalAirdomeForecast_TAF = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "TerminalAirdomeForecast%20(TAF)");
    public static final String reportTypesForTAF = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "reportTypesForTAF");
    public static final String WindDescription = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "WindDescription");

    public static String AviationOperationsObservation() { return AviationOperationsObservation; };
    public static String FlightWeatherBrifings() { return FlightWeatherBrifings; };
    public static String AviationOperationsForecast() { return AviationOperationsForecast; };
    public static String TerminalAirdomeForecast_TAF() { return TerminalAirdomeForecast_TAF; };
    public static String reportTypesForTAF() { return reportTypesForTAF; };
    public static String WindDescription() { return WindDescription; };

	// Properties
    public static final String stationID = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "stationID");
    public static final String validPeriod = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "validPeriod");
    public static final String originDataAndTime = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "originDataAndTime");
    public static final String wind = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "wind");
    public static final String horizontalVisibility = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "horizontalVisibility");
    public static final String hasDirection = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "hasDirection");
    public static final String hasSpeed = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "hasSpeed");
    public static final String hasGust = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "hasGust");
    public static final String reportType = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "reportType");

    public static String stationID() { return stationID; };
    public static String validPeriod() { return validPeriod; };
    public static String originDataAndTime() { return originDataAndTime; };
    public static String wind() { return wind; };
    public static String horizontalVisibility() { return horizontalVisibility; };
    public static String hasDirection() { return hasDirection; };
    public static String hasSpeed() { return hasSpeed; };
    public static String hasGust() { return hasGust; };
    public static String reportType() { return reportType; };

	// Instances
    public static final String TAF = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "TAF");
    public static final String TAF_AMD = OntologyLanguageTagSelector.selectLanguageForTag(AirForceMETOCCOIDataOwlURL + "TAF%20AMD");

    public static String TAF() { return TAF; };
    public static String TAF_AMD() { return TAF_AMD; };
}
