package coi.jbi.ontology;

import kaos.ontology.util.OntologyLanguageTagSelector;

/**
 * Class generated automatically by kaos.tools.OWLOntologyJavaMapper.
 * Provides static methods to obtain URI's for the ontology concepts and properties.
 */
final public class JBIActionConcepts
{
	final private static String JBIActionOwlURL = "http://ontology.ihmc.us/JBI/JBIAction.owl#";

    public static String JBIActionOwlURL() 
	{
		return OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL); 
	}

	// Concepts
    public static final String Connect = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "Connect");
    public static final String CreatePublisherSequence = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "CreatePublisherSequence");
    public static final String Instrument = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "Instrument");
    public static final String ModifyUser = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "ModifyUser");
    public static final String ClientAction = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "ClientAction");
    public static final String PauseSequence = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "PauseSequence");
    public static final String Log = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "Log");
    public static final String CreateQuerySequence = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "CreateQuerySequence");
    public static final String ConfigurationAction = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "ConfigurationAction");
    public static final String Archive = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "Archive");
    public static final String JBIUserManagementAction = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "JBIUserManagementAction");
    public static final String Subscribe = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "Subscribe");
    public static final String RemoveSequenceAttribute = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "RemoveSequenceAttribute");
    public static final String RemoveUser = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "RemoveUser");
    public static final String DeliverInfoObject = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "DeliverInfoObject");
    public static final String ModifyRole = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "ModifyRole");
    public static final String Publish = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "Publish");
    public static final String JBIAction = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "JBIAction");
    public static final String CreateSubscriberSequence = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "CreateSubscriberSequence");
    public static final String Query = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "Query");
    public static final String CreateUser = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "CreateUser");
    public static final String ResumeSequence = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "ResumeSequence");
    public static final String ActivateSequence = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "ActivateSequence");
    public static final String CreateRole = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "CreateRole");
    public static final String RemoveRole = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "RemoveRole");
    public static final String SetSequenceAttribute = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "SetSequenceAttribute");
    public static final String GetSequenceAttribute = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "GetSequenceAttribute");

    public static String Connect() { return Connect; };
    public static String CreatePublisherSequence() { return CreatePublisherSequence; };
    public static String Instrument() { return Instrument; };
    public static String ModifyUser() { return ModifyUser; };
    public static String ClientAction() { return ClientAction; };
    public static String PauseSequence() { return PauseSequence; };
    public static String Log() { return Log; };
    public static String CreateQuerySequence() { return CreateQuerySequence; };
    public static String ConfigurationAction() { return ConfigurationAction; };
    public static String Archive() { return Archive; };
    public static String JBIUserManagementAction() { return JBIUserManagementAction; };
    public static String Subscribe() { return Subscribe; };
    public static String RemoveSequenceAttribute() { return RemoveSequenceAttribute; };
    public static String RemoveUser() { return RemoveUser; };
    public static String DeliverInfoObject() { return DeliverInfoObject; };
    public static String ModifyRole() { return ModifyRole; };
    public static String Publish() { return Publish; };
    public static String JBIAction() { return JBIAction; };
    public static String CreateSubscriberSequence() { return CreateSubscriberSequence; };
    public static String Query() { return Query; };
    public static String CreateUser() { return CreateUser; };
    public static String ResumeSequence() { return ResumeSequence; };
    public static String ActivateSequence() { return ActivateSequence; };
    public static String CreateRole() { return CreateRole; };
    public static String RemoveRole() { return RemoveRole; };
    public static String SetSequenceAttribute() { return SetSequenceAttribute; };
    public static String GetSequenceAttribute() { return GetSequenceAttribute; };

	// Properties
    public static final String hasJBIClient = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "hasJBIClient");
    public static final String loggingLevel = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "loggingLevel");
    public static final String hasSystemStateContext = OntologyLanguageTagSelector.selectLanguageForTag(JBIActionOwlURL + "hasSystemStateContext");

    public static String hasJBIClient() { return hasJBIClient; };
    public static String loggingLevel() { return loggingLevel; };
    public static String hasSystemStateContext() { return hasSystemStateContext; };

	// Instances

}
