package coi.semanticTranslator;

import java.io.Serializable;

/**
 *  @author auszok
 */
public class SemanticTranslationInfo implements Serializable
{   
    private static final long serialVersionUID = 3023174576075733056L;
    
    public static String DESTINATION_DATA_ID = "DestinationDataId";
    public static String SOURCE_DATA_ID      = "SourceDataId";
    
    public String sourceTypeURL;           // the url of the schema class of the translated metainformation
    public String destinationTypeURL;      // the url of the schema class being the destination for the translated metainformation
    public String translationQuery;        // string representing the SPRQL (ARQ) query Constructing the transalted instance od the destinationTypeURL 
                                           // class based on the instanance of the sourceTypeURL class, it is a parameteterise query with two viariable 
                                           // specifing ids of the source and destination instance
    
    // Creates a new instance of RelationInfo
    public SemanticTranslationInfo (String _sourceTypeURL, String _destinationTypeURL, String _translationQuery)
    {
        sourceTypeURL = _sourceTypeURL;
        destinationTypeURL = _destinationTypeURL;
        translationQuery = _translationQuery;
    }
}
